.aside__main {
    max-width: 232px;
    width: 100%;
    margin: 0 auto;
    height: 100vh;
    overflow: hidden;
    position: relative;
    z-index: 1;
    
    @media (max-width: 1024px) {
        position: absolute;
        left: -150%;
        z-index: 5;
        max-width: 360px;
        transition: 0.3s ease;
    }
    
    @media (max-width: 576px) {
        max-width: 100%;
    }

    .aside__fixed {
        position: fixed;
        max-width: inherit;
        background-color: $main-0;
        border-right: 1px solid $main-4;
        height: 100%;
        width: 100%;

        @media (max-width: 1024px) {
            width: inherit;
        }

        @media (max-width: 576px) {
            width: inherit;
        }
       
    }
   
    .aside__wrapper {
        border-bottom: 1px solid $main-4;
        padding: 16px;
    }
    
    .aside__header {
        display: flex;
        align-items: center;
        justify-content: space-between;

        @media (max-width: 1024px) {
            padding: 12px;
        }

        .header__name {
            @include f16w500upM8;
            display: none;

            @media (max-width: 1024px) {
                display: block;
            }
        }

        .aside__logo {
            @media (max-width: 1024px) {
                svg {
                    width: 64px;
                    height: 34px;
                }
            }
        }

        .reduce__menu {
            @media (max-width: 1024px) {
                display: none;
            }
        }

        .reduce__rotate {
            transform: rotate(180deg);
        }

        .close__menu {
            display: none;
            
            @media (max-width: 1024px) {
                display: block;
            }
        }
    }

    .aside__profile {
        .user__block {
            display: flex;
            align-items: center;
            grid-gap: 12px;
            margin-bottom: 12px;

            .user__name {
                @include f12w500M8;
            }
        }
    }

    .aside__navigation {
        display: flex;
        flex-direction: column;
        gap: 5px;
        z-index: 2;
        transition: 0.3s ease;
        // overflow: hidden;


        // новые правки // 

        height: calc(100% - 130px);
        overflow-y: auto;
        overflow-x: hidden;
        @include scrollbarTransparent;

        @media (max-width: 1024px) {
            overflow-y: hidden;
        }

        .aside__link {
            @include asideLink;
            transition: 0.4s ease;
        }
        // test //
        .aside__links {
            cursor: pointer;
            border-radius: 8px;
            transition: all 0.4s ease;

            &:hover {
                background-color: $main-4;
            }

            .arrow-width {
                justify-content: space-between;
                align-items: center;

                .aside__link__arrow-wrapper {
                    display: flex;
                    align-items: center;
                    grid-gap: 8px;
                }
            }
        
            .aside__sublinks {
                position: relative;
                transition: 0.4s ease;
                padding: 0 8px 0 8px;
                border-radius: 8px;
                visibility: hidden;
                opacity: 0;
                max-height: 0;
                bottom: 40px;
                z-index: -2;
                
                .aside__sublink {
                    @include asideSubLink;
                }
            }

            // ранее тут был ховер //
        }

        .aside__links.active {
            background-color: $main-4;

            .arrow {
                transform: rotate(180deg);
            }

            .aside__sublinks {
                background-color: $main-4;
                visibility: visible;
                opacity: 1;
                max-height: 100vh;
                bottom: 0;
                z-index: 2;

                .aside__sublink {
                    height: 100%;
                }
            }
        }

        .link {
            transition: 0.4s ease;

            &:hover {
                color: $main-0;
                background-color: $purple-2;
            }
        }

        .link--active {
            background-color: $main-8;
            color: $main-0;
            
            .icon {
                .stroke {
                    stroke: $main-0;
                }
            }
        }
    }

    .aside-height.active {
        height: calc(100% - 288px);
    }

    .aside__block {
        .accordion__label {
            display: flex;
            grid-gap: 8px;
        }

        .aside-block__title {
            @include f12w700R3;
            text-transform: uppercase;
            font-size: 10px;
        }

        .aside-block__image {
            margin: 12px 0;
            border-radius: 100%;
        }

        .aside-block__text {
            display: block;
            @include f13w400M7;

            &:not(:last-child) {
                margin-bottom: 4px;
            }
        }

        .aside-block__number {
            @include f12w500M8;
        }
    }

    .aside__manager {
        .aside__accordion {
            position: relative;

            .accordion__label {
                justify-content: space-between;
            }
        }
    }

    .aside__reduce-manager {
        display: none;
    }

    .aside__contract {
        display: flex;
        justify-content: space-between;
        border-bottom: none;
    }

    .aside__mobile-footer {
        border-top: 1px solid $main-4;
        border-bottom: none;
        display: none;
        flex-direction: column;
        grid-gap: 16px;

        .footer__block {
        
            .footer__callback {
                display: flex;
                flex-direction: column;
                grid-gap: 16px;
                margin-bottom: 24px;
            }

            .footer__social {
                display: flex;
                grid-gap: 24px;
            }


        }


        
        @media (max-width: 1024px) {
            display: flex;
        }
    }

    .aside__main-navigation {
        height: calc(100vh - 340px);
        overflow-x: visible;

        // новые правки //  
        // overflow-y: scroll;

        @include scrollbarTransparent;
        
        @media (max-width: 1024px) {
            height: max-content;
            overflow: auto;
        }
    
    }
}

.aside__main.index {
    z-index: 5;
}

.aside__reduce {
    @media (min-width: 1025px) {
        max-width: 80px;

        .aside__header {
            justify-content: center;

            .aside__logo {
                display: none;
                visibility: hidden;
                opacity: 0;
            }
        }
    
        .aside__profile {
            display: none;
        }

        .aside__wrapper {
            .catalog__button {
                width: fit-content;

                span {
                    display: none;
                }
            }
        }

        .aside__navigation {
            grid-gap: 12px;
            align-items: center;
            overflow-y: scroll;
            height: 100%;
            @include scrollbarTransparent;

            @media (max-height: 910px) {
                height: calc(100vh - 360px);
            }
            

            .aside__link {
                width: fit-content;
                padding: 8px;
                justify-content: center;

                .icon {
                    width: 24px;
                    height: 24px;
                }

                .arrow {
                    display: none;
                }

                span {
                    display: none;
                }
            }

            .aside__links {
                transition: all 0.4s ease;

                .aside__sublinks {
                    position: absolute;
                    visibility: hidden;
                    opacity: 0;
                    max-height: max-content;
                    width: max-content;
                    top: 270px;
                    left: 50px;
                    padding: 8px 8px 0px 8px;
                    transition: all 0.4s ease;
                   
                    .aside__sublink {
                        height: auto;
                        transition: all 0.4s ease;
                    }

                    .aside__link {
                        transition: all 0.4s ease;
                    }
                }

                &:hover {
                    .aside__link {
                        background-color: $main-8;
                        color: $main-0;

                        .icon {
                            .stroke {
                                stroke: $main-0;
                            }
                        }
                    }
                     
                    .aside__sublinks {
                        visibility: visible;
                        opacity: 1;
                        max-height: max-content;
                        background-color: white;
                        z-index: 5;
                        @include boxShadow;

                        .aside__sublink {
                            height: auto;
                        }
                    }
                }
            }

            .aside__links.active {
                background-color: $main-0;
                transition: all 0.4s ease;

                .aside__sublinks {
                    position: absolute;
                    visibility: hidden;
                    opacity: 0;
                    max-height: max-content;
                    width: max-content;
                    top: 270px;
                    left: 50px;
                    padding: 8px 8px 0px 8px;
                    transition: all 0.4s ease;
                   
                    .aside__sublink {
                        height: auto;
                        transition: all 0.4s ease;
                    }

                    .aside__link {
                        transition: all 0.4s ease;
                    }
                }

                &:hover {
                    .aside__link {
                        background-color: $main-8;
                        color: $main-0;

                        .icon {
                            .stroke {
                                stroke: $main-0;
                            }
                        }
                    }
                     
                    .aside__sublinks {
                        visibility: visible;
                        opacity: 1;
                        max-height: max-content;
                        background-color: white;
                        @include boxShadow;

                        .aside__sublink {
                            height: auto;
                        }
                    }
                }
            }
        }

        .aside__manager {
            display: none;
        }

        .aside__reduce-manager {
            display: flex;
            justify-content: center;

            .aside__reduce-manager-wrapper {
                position: relative;

                &:hover {
                    .manager__content {
                        opacity: 1;
                        visibility: visible;
                    }
                }

                .manager__content {
                    opacity: 0;
                    visibility: hidden;
                    position: absolute;
                    top: 0;
                    left: 30px;
                    width: max-content;
                    background-color: $main-0;
                    z-index: 2;
                    @include boxShadow;
                    padding: 16px;
                    border-radius: 8px;
                }
            }
        }

        .aside__contract {
            justify-content: center;

            .aside-block__wrapper {
                display: none;
            }
        }

        .aside__main-navigation {
            overflow-x: visible;
            overflow-y: visible;
            // height: max-content;
        }
    }
}

.aside__visible {
    left: 0%;
}

.aside__mobile-wrapper {
    @media (max-width: 1024px) {
        overflow-y: scroll;
        overflow-x: visible;
        height: calc(100vh - 65px);
        @include scrollbarTransparent;
    }
}
   





